Package org.eclipse.jgit.diff

## Class DiffConfig

- java.lang.Object
- - org.eclipse.jgit.diff.DiffConfig

    public class DiffConfig
    extends Object

Keeps track of diff related configuration options.

### Nested Class Summary

Nested Classes
`static class` `DiffConfig.RenameDetectionType` Permissible values for `diff.renames`.

### Field Summary

Fields
`static Config.SectionParser<DiffConfig>` `KEY` Key for `Config.get(SectionParser)`.

### Method Summary

All Methods Instance Methods Concrete Methods
`DiffConfig.RenameDetectionType` `getRenameDetectionType()`
`int` `getRenameLimit()`
`boolean` `isNoPrefix()`
`boolean` `isRenameDetectionEnabled()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### KEY

    public static final Config.SectionParser<DiffConfig> KEY

Key for `Config.get(SectionParser)`.

### Method Detail

#### isNoPrefix

    public boolean isNoPrefix()

Returns:
  true if the prefix "a/" and "b/" should be suppressed.

#### isRenameDetectionEnabled

    public boolean isRenameDetectionEnabled()

Returns:
  true if rename detection is enabled by default.

#### getRenameDetectionType

    public DiffConfig.RenameDetectionType getRenameDetectionType()

Returns:
  type of rename detection to perform.

#### getRenameLimit

    public int getRenameLimit()

Returns:
  limit on number of paths to perform inexact rename detection.